Package com.independentsoft.office.odf.styles

# Class ListLevelProperties

java.lang.Object
com.independentsoft.office.odf.styles.ListLevelProperties

public class ListLevelProperties extends Object
Represents formatting properties for a list level.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListLevelProperties()`
  Initializes a new instance of the ListLevelProperties class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListLevelProperties`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getFontName()`
  Gets the font of choice.
  `Size`
  `getImageHeight()`
  Gets the image height.
  `Size`
  `getImageWidth()`
  Gets the image width.
  `TextAlignment`
  `getLabelAlignment()`
  Gets the alignment of list labels.
  `ListLevelLabelAlignment`
  `getListLevelLabelAlignment()`
  Gets the position and spacing of a list label and its list item.
  `ListLevelPositionAndSpaceMode`
  `getListLevelPositionAndSpaceMode()`
  Specifies how the position and spacing of the list labels (numbers or bullets) is defined.
  `Size`
  `getMinimumLabelDistance()`
  Gets the minimum distance between a number and a list item.
  `Size`
  `getMinimumLabelWidth()`
  Gets the minimum width of a number.
  `Size`
  `getStartIndent()`
  Gets the space to include before a number for all paragraphs at a particular level.
  `void`
  `setFontName​(String fontName)`
  Sets the font of choice.
  `void`
  `setImageHeight​(Size imageHeight)`
  Sets the image height.
  `void`
  `setImageWidth​(Size imageWidth)`
  Sets the image width.
  `void`
  `setLabelAlignment​(TextAlignment labelAlignment)`
  Sets the alignment of list labels.
  `void`
  `setListLevelLabelAlignment​(ListLevelLabelAlignment listLevelLabelAlignment)`
  Sets the position and spacing of a list label and its list item.
  `void`
  `setListLevelPositionAndSpaceMode​(ListLevelPositionAndSpaceMode listLevelPositionAndSpaceMode)`
  Specifies how the position and spacing of the list labels (numbers or bullets) is defined.
  `void`
  `setMinimumLabelDistance​(Size minimumLabelDistance)`
  Sets the minimum distance between a number and a list item.
  `void`
  `setMinimumLabelWidth​(Size minimumLabelWidth)`
  Sets the minimum width of a number.
  `void`
  `setStartIndent​(Size startIndent)`
  Sets the space to include before a number for all paragraphs at a particular level.
  `String`
  `toString()`
  Converts the value of the current ListLevelProperties object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListLevelProperties

    public ListLevelProperties()
    Initializes a new instance of the ListLevelProperties class.

- ## Method Details

  - ### clone

    public ListLevelProperties clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ListLevelProperties object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLabelAlignment

    public TextAlignment getLabelAlignment()
    Gets the alignment of list labels.
    Returns:
      the label alignment

  - ### setLabelAlignment

    public void setLabelAlignment​(TextAlignment labelAlignment)
    Sets the alignment of list labels.
    Parameters:
      `labelAlignment` - the new label alignment

  - ### getListLevelPositionAndSpaceMode

    public ListLevelPositionAndSpaceMode getListLevelPositionAndSpaceMode()
    Specifies how the position and spacing of the list labels (numbers or bullets) is defined.
    Returns:
      the list level position and space mode

  - ### setListLevelPositionAndSpaceMode

    public void setListLevelPositionAndSpaceMode​(ListLevelPositionAndSpaceMode listLevelPositionAndSpaceMode)
    Specifies how the position and spacing of the list labels (numbers or bullets) is defined.
    Parameters:
      `listLevelPositionAndSpaceMode` - the new list level position and space mode

  - ### getStartIndent

    public Size getStartIndent()
    Gets the space to include before a number for all paragraphs at a particular level.
    Returns:
      the start indent

  - ### setStartIndent

    public void setStartIndent​(Size startIndent)
    Sets the space to include before a number for all paragraphs at a particular level.
    Parameters:
      `startIndent` - the new start indent

  - ### getMinimumLabelWidth

    public Size getMinimumLabelWidth()
    Gets the minimum width of a number.
    Returns:
      the minimum label width

  - ### setMinimumLabelWidth

    public void setMinimumLabelWidth​(Size minimumLabelWidth)
    Sets the minimum width of a number.
    Parameters:
      `minimumLabelWidth` - the new minimum label width

  - ### getMinimumLabelDistance

    public Size getMinimumLabelDistance()
    Gets the minimum distance between a number and a list item.
    Returns:
      the minimum label distance

  - ### setMinimumLabelDistance

    public void setMinimumLabelDistance​(Size minimumLabelDistance)
    Sets the minimum distance between a number and a list item.
    Parameters:
      `minimumLabelDistance` - the new minimum label distance

  - ### getFontName

    public String getFontName()
    Gets the font of choice.
    Returns:
      the font name

  - ### setFontName

    public void setFontName​(String fontName)
    Sets the font of choice.
    Parameters:
      `fontName` - the new font name

  - ### getImageWidth

    public Size getImageWidth()
    Gets the image width.
    Returns:
      the image width

  - ### setImageWidth

    public void setImageWidth​(Size imageWidth)
    Sets the image width.
    Parameters:
      `imageWidth` - the new image width

  - ### getImageHeight

    public Size getImageHeight()
    Gets the image height.
    Returns:
      the image height

  - ### setImageHeight

    public void setImageHeight​(Size imageHeight)
    Sets the image height.
    Parameters:
      `imageHeight` - the new image height

  - ### getListLevelLabelAlignment

    public ListLevelLabelAlignment getListLevelLabelAlignment()
    Gets the position and spacing of a list label and its list item.
    Returns:
      the list level label alignment

  - ### setListLevelLabelAlignment

    public void setListLevelLabelAlignment​(ListLevelLabelAlignment listLevelLabelAlignment)
    Sets the position and spacing of a list label and its list item.
    Parameters:
      `listLevelLabelAlignment` - the new list level label alignment